Splash էջեր

GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
Պարամետրեր Մանրամասներ Նկարագրություն
search ընտրովի Տող Որոնման տողը:
search_by ընտրովի Տող Որ ոլորտով եք փնտրում: Թույլատրված արժեքները են: name.
datetime_field ընտրովի Տող Թույլատրված արժեքներ: datetime, last_datetime
datetime_start ընտրովի Տող Ֆիլտրել արդյունքները այս ամսաթվից և ժամից սկսած։ Ձևաչափ՝ Y-m-d H:i:s։
datetime_end ընտրովի Տող Ֆիլտրել արդյունքները մինչև այս ամսաթիվն ու ժամը։ Ձևաչափ՝ Y-m-d H:i:s։
order_by ընտրովի Տող Որ ոլորտում պատվիրել արդյունքները: Թույլատրված արժեքները՝ splash_page_id, datetime, last_datetime, name.
order_type ընտրովի Տող Արդյունքների դասավորությունը: Թույլատրված արժեքները են: ASC աճող դասավորության համար, և DESC նվազող դասավորության համար:
page ընտրովի Ամբողջ թիվ Էջի համար, որի արդյունքները ցանկանում եք: Դեֆոլտ է 1.
results_per_page ընտրովի Ամբողջ թիվ Քանի արդյունք եք ցանկանում յուրաքանչյուր էջում։ Թույլատրված արժեքները՝ 10, 25, 50, 100, 250, 500, 1000։ Դեֆոլտը՝ 25։
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-07-18 11:38:20",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/projects?page=1",
        "last": "https://tistos.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/projects?page=1"
    }
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-07-18 11:38:20",
    }
}
POST https://tistos.com/api/projects
Պարամետրեր Մանրամասներ Նկարագրություն
name Պահանջվում է Տող -
title ընտրովի Տող -
logo ընտրովի Ֆայլ -
favicon ընտրովի Ֆայլ -
opengraph ընտրովի Ֆայլ -
description ընտրովի Տող -
secondary_button_name ընտրովի Տող -
secondary_button_url ընտրովի Տող -
custom_css ընտրովի Տող -
custom_js ընտրովի Տող -
ads_header ընտրովի Տող -
ads_footer ընտրովի Տող -
link_unlock_seconds ընտրովի Ամբողջ թիվ -
auto_redirect ընտրովի Բուլյան -
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
Պարամետրեր Մանրամասներ Նկարագրություն
name ընտրովի Տող -
title ընտրովի Տող -
logo ընտրովի Ֆայլ -
favicon ընտրովի Ֆայլ -
opengraph ընտրովի Ֆայլ -
description ընտրովի Տող -
secondary_button_name ընտրովի Տող -
secondary_button_url ընտրովի Տող -
custom_css ընտրովի Տող -
custom_js ընտրովի Տող -
ads_header ընտրովի Տող -
ads_footer ընտրովի Տող -
link_unlock_seconds ընտրովի Ամբողջ թիվ -
auto_redirect ընտրովի Բուլյան -
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \